Skip to main content
GET
/
{alias}
/
checkout
/
payments
/
{paymentId}
/
installments
Listar parcelamentos de um pagamento
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/installments \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/installments"

headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/installments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 1,
    "payment_id": 2,
    "installment": 1,
    "tax": 1.5,
    "percent_discount": 0,
    "start_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    },
    "end_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    },
    "created_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    },
    "updated_at": {
      "date": "2000-08-17 10:24:24",
      "timezone_type": 3,
      "timezone": "America/Sao_Paulo"
    }
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

paymentId
integer
required

ID da forma de pagamento

Response

Lista de parcelamentos

data
Parcela de Pagamento · object

Objeto de descreve os detalhes de uma parcela de pagamento